import axios from 'axios'

// 创建一个axios实例
const instance = axios.create({
  baseURL: 'http://183.66.101.53:8787/api'
  // baseURL: '/api'
})

// 配置请求拦截器
instance.interceptors.request.use(config => {
  // console.log(config)
  /* 
//     每一次请求的时候，往请求头（header）上添加一个token
//   */
//   const token = sessionStorage.getItem('token')
//   config.headers.Authorization = token
  return config
}, err => {
  return Promise.reject(err)
})

// 配置响应拦截器
instance.interceptors.response.use(config => {
  return config
}, err => {
  return Promise.reject(err)
})
export default instance;
